Create project
curl --request POST \
--url https://{tenant}.torchapp.com.au/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"type": "n",
"project_identifier": "g",
"evaluation_title": "z",
"stage": "m",
"location": "i",
"start_date": "2026-01-27T02:53:04",
"end_date": "2052-02-20",
"overview": "architecto",
"status": "Archived",
"parent_id": "<string>",
"classification": "Secondary",
"currency": "n",
"relationship_type": "g"
}
'import requests
url = "https://{tenant}.torchapp.com.au/api/v1/projects"
payload = {
"name": "b",
"type": "n",
"project_identifier": "g",
"evaluation_title": "z",
"stage": "m",
"location": "i",
"start_date": "2026-01-27T02:53:04",
"end_date": "2052-02-20",
"overview": "architecto",
"status": "Archived",
"parent_id": "<string>",
"classification": "Secondary",
"currency": "n",
"relationship_type": "g"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'b',
type: 'n',
project_identifier: 'g',
evaluation_title: 'z',
stage: 'm',
location: 'i',
start_date: '2026-01-27T02:53:04',
end_date: '2052-02-20',
overview: 'architecto',
status: 'Archived',
parent_id: '<string>',
classification: 'Secondary',
currency: 'n',
relationship_type: 'g'
})
};
fetch('https://{tenant}.torchapp.com.au/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "Unauthenticated."
}Projects
Create Project
Store a newly created project.
POST
/
v1
/
projects
Create project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
255Example:
"b"
Maximum string length:
255Example:
"n"
Maximum string length:
255Example:
"g"
Maximum string length:
255Example:
"z"
Maximum string length:
255Example:
"m"
Maximum string length:
255Example:
"i"
Example:
"2026-01-27T02:53:04"
Example:
"2052-02-20"
Example:
"architecto"
Available options:
Active, Archived Example:
"Archived"
Available options:
Primary, Secondary Example:
"Secondary"
Maximum string length:
3Example:
"n"
Maximum string length:
255Example:
"g"
Response
Project created
The response is of type object.
⌘I